[Date Prev][Date Next] [Chronological] [Thread] [Top]

Re: Configure.in and SASL (ITS#536)

On Mon, May 15, 2000 at 09:48:28PM +0000, bbense@stanford.edu wrote:
> Full_Name: Booker C. Bense
> Version: current-dev
> OS: Solaris 2.7
> URL: http://www.stanford.edu/~bbense/booker-bense-000515.patch
> Submission from: (NULL) (
> - I have built and installed cyrus sasl 1.5.20 with sleepycat DB. This requires
> that any code that uses -lsasl also use -ldb. A small patch to configure.in
> fixes this in my case. I'm not sure it's generally the right thing to do. 
> The configure.in patch is at 

This is wrong. You sasl library should be linked against the libraries it
needs, not require other programs to handle it. When you build libsasl,
add -ldb to it, and it should work fine.


/  Ben Collins  --  ...on that fantastic voyage...  --  Debian GNU/Linux   \
`  bcollins@debian.org  --  bcollins@openldap.org  --  bcollins@linux.com  '